## git 2.50.0

=== debian/changelog ===
git (1:2.50.0-1ubuntu2) questing; urgency=medium

  * Disable some tests for now (See lp: 2115804), related
    to coreutils

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Jul 2025 12:08:50 +0200

git (1:2.50.0-1ubuntu1) questing; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Build diff-highlight in the contrib dir
    - Don't build-depend on subversion on i386, it is not reasonable to
      support on the partial arch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 09:29:48 +0200

git (1:2.50.0-1) unstable; urgency=medium

  * new upstream release (see RelNotes/2.50.0.adoc).
    * in particular, includes the rest of the parse-options fix
      from upstream, avoiding size mismatches that on big-endian
      64-bit platforms was causing commands like "git grep -A" to
      write their argument to the 32 bits after the variable that is
      used (thx Sebastian Andrzej Siewior; closes: #1106786).
  * debian/patches/*: remove; applied upstream.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 17 Jun 2025 03:50:38 +0200

git (1:2.49.0-2) unstable; urgency=medium

  * debian/rules: remove overly strict check for license file
    content matching base-files.  This unbreaks the build on
    builders with an updated copy of the GPLv2 text (thx
    Santiago Vila; closes: #1106311).
  * debian/patches/0001-parse-options-...diff: new; use correct
    type for writing size_t flags, avoiding errors on big-endian
    64-bit platforms (thx Matthias Klose, Bastian Blank, and
    Pranav P; closes: #1102106).

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 29 May 2025 17:33:17 +0200

git (1:2.49.0-1) unstable; urgency=low

  * new upstream release (see RelNotes/2.48.0.adoc, RelNotes/2.49.0.adoc).
  * update debian/copyright.
  * debian/rules: adjust for asciidoc files using .adoc suffix.
  * debian/control: Standards-Version: 4.7.0.
  * debian/git-doc.doc-base.*: remove, as these metadata were not
    frequently used and were out of date.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 15 Mar 2025 18:48:53 +0100

=== debian/control ===
Source: git
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
Uploaders: Anders Kaseorg <andersk@mit.edu>
Build-Depends: libz-dev, gettext,
 libpcre2-dev | libpcre3-dev,
 libcurl4-gnutls-dev, libexpat1-dev,
 subversion [!i386], libsvn-perl [!i386], libyaml-perl,
 tcl, python3,
 libhttp-date-perl | libtime-parsedate-perl,
 libcgi-pm-perl,
 liberror-perl,
 libmailtools-perl,
 cvs, cvsps, libdbd-sqlite3-perl,
 unzip, libio-pty-perl,
 debhelper-compat (= 10),
 dh-exec (>= 0.7),
 dh-apache2,
 dpkg-dev (>= 1.16.2~)
Build-Depends-Indep: asciidoc (>= 8.6.10), xmlto, docbook-xsl
Standards-Version: 4.7.0
Homepage: https://git-scm.com/
Vcs-Git: https://repo.or.cz/r/git/debian.git/
Vcs-Browser: https://repo.or.cz/w/git/debian.git/

Package: git
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, perl, liberror-perl,
 git-man (>> ${source:Upstream-Version}), git-man (<< ${source:Upstream-Version}-.)
Pre-Depends: ${misc:Pre-Depends}
Recommends: ca-certificates, patch, less, ssh-client
Suggests: gettext-base,
 git-doc, git-email, git-gui, gitk, gitweb,
 git-cvs, git-mediawiki, git-svn
Breaks: bash-completion (<< 1:1.90-1),
 dgit (<< 5.1~),
 git-buildpackage (<< 0.6.5),
 git-el (<< 1:2.32.0~rc2-1~),
 cogito (<= 0.18.2+),
 openssh-client (<< 1:6.8),
 stgit (<< 0.15), stgit-contrib (<< 0.15), gitpkg (<< 0.15),
 guilt (<< 0.33), gitosis (<< 0.2+20090917-7)
Provides: git-completion, git-core
Description: fast, scalable, distributed revision control system
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the git main components with minimal dependencies.
 Additional functionality, e.g. a graphical user interface and revision
 tree visualizer, tools for interoperating with other VCS's, or a web
 interface, is provided as separate git* packages.

Package: git-man
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: fast, scalable, distributed revision control system (manual pages)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides reference documentation for use by the 'man'
 utility and the 'git help' command.

Package: git-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: git, git-cvs, git-svn, git-email, gitk, gitweb
Description: fast, scalable, distributed revision control system (documentation)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the documentation.

Package: git-cvs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.), cvsps, libdbd-sqlite3-perl
Suggests: git-doc, cvs
Description: fast, scalable, distributed revision control system (cvs interoperability)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the git cvsimport, cvsexportcommit, and cvsserver
 tools, which allow Git to read from and write to CVS repositories and
 offer access over CVS protocol to Git repositories.
 .
 The git cvsimport tool can incrementally import from a repository that
 is being actively developed and only requires remote access over CVS
 protocol. Unfortunately, in many situations the import leads to
 incorrect results. For reliable, one-shot imports, cvs2git from the
 cvs2svn package or parsecvs may be a better fit.

Package: git-svn
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.), libsvn-perl, libyaml-perl, libterm-readkey-perl
Suggests: git-doc, subversion
Breaks: git (<< 1:1.8.3~rc1-1.)
Replaces: git (<< 1:1.8.3~rc1-1.)
Description: fast, scalable, distributed revision control system (svn interoperability)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides tools for interoperating with Subversion repositories,
 and importing SVN development history.

Package: git-mediawiki
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.),
 libmediawiki-api-perl (>= 0.39), liblwp-protocol-https-perl, libdatetime-format-iso8601-perl
Suggests: mediawiki
Description: fast, scalable, distributed revision control system (MediaWiki remote helper)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the mediawiki remote helper, which allows Git to
 read from and write to a wiki such as Wikipedia as though it were a
 remote Git repository, and a 'git mw' command that can show a preview
 of how wiki markup will be rendered before pushing.

Package: git-email
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.)
Recommends: libemail-valid-perl,
 libmailtools-perl,
 perl (>> 5.21.5) | libnet-smtp-ssl-perl,
 libauthen-sasl-perl,
 libio-socket-ssl-perl (>= 1.951)
Suggests: git-doc
Description: fast, scalable, distributed revision control system (email add-on)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the git-send-email program for sending series of
 patch emails.

Package: git-gui
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.), tk
Recommends: gitk
Suggests: git-doc, aspell, meld
Description: fast, scalable, distributed revision control system (GUI)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the git graphical user interface.
 .
 If aspell is installed, it can check the spelling of commit messages
 as the user types.
 .
 If meld is installed, it can be used for displaying diffs and for
 interactive merge conflict resolution.

Package: gitk
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.), tk
Suggests: git-doc
Description: fast, scalable, distributed revision control system (revision tree visualizer)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package provides the gitk program, a tcl/tk revision tree visualizer.

Package: gitweb
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.),
 perl, libcgi-pm-perl
Pre-Depends: ${misc:Pre-Depends}
Recommends: ${misc:Recommends}, libhttp-date-perl | libtime-parsedate-perl
Breaks: apache2.2-common (<< 2.3~)
Suggests: httpd-cgi | libcgi-fast-perl, git-doc
Description: fast, scalable, distributed revision control system (web interface)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This package configures a web interface for browsing git repositories.
 .
 If apache2 is installed, the web interface is automatically made
 available at http://localhost/gitweb.  Other servers that support CGI
 or mod_perl are supported through manual configuration.
 .
 If libcgi-fast-perl is installed, gitweb can also be run over FastCGI
 (and served by nginx, for example).

Package: git-all
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, git (>> ${source:Upstream-Version}), git (<< ${source:Upstream-Version}-.),
 git-doc, git-cvs, git-mediawiki, git-svn,
 git-email, git-gui, gitk, gitweb
Description: fast, scalable, distributed revision control system (all subpackages)
 Git is popular version control system designed to handle very large
 projects with speed and efficiency; it is used for many high profile
 open source projects, most notably the Linux kernel.
 .
 Git falls in the category of distributed source code management tools.
 Every Git working directory is a full-fledged repository with full
 revision tracking capabilities, not dependent on network access or a
 central server.
 .
 This is a dummy package which brings in all subpackages.

=== debian/rules ===
#!/usr/bin/make -f

CC =gcc
CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS :=-Wall $(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
LDFLAGS :=$(shell dpkg-buildflags --get LDFLAGS)
HOST_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
TEST =test
TEST_OPTS =
OPTS =NO_OPENSSL=1 prefix=/usr gitexecdir=/usr/lib/git-core \
  mandir=/usr/share/man htmldir=/usr/share/doc/git/html \
  INSTALLDIRS=vendor \
  SANE_TOOL_PATH= INSTALL=install TAR=tar \
  NO_CROSS_DIRECTORY_HARDLINKS=1 NO_INSTALL_HARDLINKS=1 \
  NO_PERL_CPAN_FALLBACKS=1 \
  PYTHON_PATH=/usr/bin/python3 \
  DEFAULT_PAGER=pager DEFAULT_EDITOR=editor \
  CC='$(CC)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
  HOST_CPU='$(HOST_CPU)'
DOCS =html
DOC_OPTS =prefix=/usr htmldir=/usr/share/doc/git/html \
  ASCIIDOC8=1 ASCIIDOC_NO_ROFF=1

# https://wiki.debian.org/ReproducibleBuilds/TimestampsInDocumentationGeneratedByAsciidoc
DOC_OPTS += ASCIIDOC='TZ=UTC asciidoc'

ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
  OPTS += V=1
  DOC_OPTS += V=1
  TEST_OPTS = --verbose
endif
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  TEST =
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  DOCS =
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
  # Setting this with a pattern-specific rule prevents -O from
  # affecting the top-level make, which would break realtime build
  # output (unless dh is run as +dh, which causes other problems).
  %: MAKEFLAGS += -O
endif
ifneq (,$(shell dpkg-query -f '$${Version}' -W libpcre2-dev))
  OPTS += USE_LIBPCRE2=1
else
  OPTS += USE_LIBPCRE1=1
endif

TMP = $(CURDIR)/debian/tmp
GIT = $(CURDIR)/debian/git

%:
	dh $@ --with apache2 --without autoreconf

override_dh_auto_configure:

build-stamp:
	-$(CC) -v
	$(MAKE) all $(OPTS)
	touch $@

override_dh_auto_build-arch: build-stamp
	$(MAKE) -C contrib/subtree all $(OPTS)
	ln -s contrib/subtree/git-subtree
	$(MAKE) -C contrib/diff-highlight $(OPTS)

override_dh_auto_test-arch:
	test -z '$(TEST)' || \
	  GIT_SKIP_TESTS="t9128 t9167" \
	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) $(TEST) $(OPTS) || true
	test -z '$(TEST)' || \
	  GIT_TEST_OPTS='$(TEST_OPTS)' \
	  $(MAKE) -C t \
	  t9128-git-svn-cmd-branch.sh \
	  t9167-git-svn-cmd-branch-subproject.sh \
	  $(OPTS) || true || :
	test -z '$(TEST)' || \
	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) -C contrib/subtree $(TEST) $(OPTS) || true

override_dh_auto_build-indep: build-stamp
	# git-man, git-doc
	$(MAKE) -CDocumentation man $(DOCS) $(DOC_OPTS)
	# git-mediawiki
	$(MAKE) -Ccontrib/mw-to-git all $(OPTS)

override_dh_auto_test-indep:

override_dh_auto_clean:
	$(MAKE) -C contrib/mw-to-git clean $(OPTS)
	$(MAKE) -C contrib/subtree clean $(OPTS)
	$(MAKE) clean $(OPTS)
	rm -f git-subtree

override_dh_clean:
	dh_clean -Xmailinfo.c.orig

override_dh_auto_install-arch:
	# git
	DESTDIR='$(GIT)' $(MAKE) install $(OPTS)
	DESTDIR='$(GIT)' $(MAKE) -C contrib/subtree install $(OPTS)
	install -d -m0755 '$(GIT)'/var/lib/git
	rm -rf '$(GIT)'/usr/share/man
	# don't include arch, cvs, p4, svn, email, gui tools, and gitk program
	for i in git-archimport git-cvs git-p4 git-svn git-send-email \
	 git-gui git-citool; do \
	  rm -f '$(GIT)'/usr/lib/git-core/$$i*; \
	done
	rm -f '$(GIT)'/usr/bin/git-cvsserver
	rm -f '$(GIT)'/usr/bin/gitk
	# don't include git-gui's lib
	rm -rf '$(GIT)'/usr/share/git-gui/
	# don't include gitk's lib
	rm -rf '$(GIT)'/usr/share/gitk/
	# don't include git-svn's lib
	rm -rf '$(GIT)'/usr/share/perl5/Git/SVN*
	# sanity check that #642603 fix is still in place
	test $$(stat -c%h \
	  '$(GIT)'/usr/lib/git-core/git-branch) -le 10

override_dh_auto_install-indep:
	DESTDIR='$(TMP)' $(MAKE) install install-doc $(OPTS)
	DESTDIR='$(TMP)' $(MAKE) -Ccontrib/mw-to-git install $(OPTS) \
	  INSTLIBDIR=/usr/share/perl5
	test -z '$(DOCS)' || \
	  $(MAKE) -CDocumentation install-webdoc WEBDOC_DEST='$(TMP)'/html \
	  2>/dev/null
	test -z '$(DOCS)' || \
	  DESTDIR='$(TMP)' $(MAKE) -Ccontrib/subtree install-doc $(OPTS)
	install -m 0644 contrib/subtree/git-subtree.adoc '$(TMP)'/html
	# RelNotes are shipped in git
	rm -rf '$(TMP)'/html/RelNotes
	# don't include git-p4 man page
	rm -f '$(TMP)'/html/git-p4.*

override_dh_install-arch:
	dh_install --arch
	rm -rf '$(GIT)'/usr/share/git-core/contrib/hooks/multimail

override_dh_install-indep:
	dh_install --indep
	for i in git-archimport git-cvs git-p4 git-svn git-send-email gitk \
	 git-gui git-citool; do \
	  rm -f '$(GIT)'-man/usr/share/man/man1/$$i*; \
	done

override_dh_installdocs-arch:
	dh_installdocs --arch -X.gitignore
	rm -rf '$(GIT)'/usr/share/doc/git/contrib/completion
	rm -rf '$(GIT)'/usr/share/doc/git/contrib/emacs
	rm -rf '$(GIT)'/usr/share/doc/git/contrib/hooks
	rm -rf '$(GIT)'/usr/share/doc/git/contrib/mw-to-git
	rm -f '$(GIT)'/usr/share/doc/git/contrib/subtree/git-subtree.1
	rm -f '$(GIT)'/usr/share/doc/git/contrib/subtree/git-subtree.html
	rm -f '$(GIT)'/usr/share/doc/git/contrib/subtree/git-subtree.xml
	find '$(GIT)'/usr/share/doc/git/ -name .gitattributes | xargs rm -f
	find '$(GIT)'/usr/share/doc/git/ -name .gitignore | xargs rm -f

override_dh_installdocs-indep:
	dh_installdocs --indep -X.gitignore

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_compress:
	dh_compress -X.adoc -Xcontrib

## git 2.50.0+next.20250615

=== debian/changelog ===
git (1:2.50.0+next.20250615-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 196bf9f4.

 -- Jonathan Nieder <jrnieder@gmail.com>  Tue, 17 Jun 2025 04:02:46 +0200

git (1:2.50.0~rc0+next.20250528-1) experimental; urgency=low

  * merge branch debian-sid.
  * new upstream release candidate (see RelNotes/2.50.0.adoc).
  * new snapshot, taken from upstream commit d817f149.
  * debian/patches/0001-parse-options-...diff: remove; applied
    upstream.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 29 May 2025 17:55:09 +0200

git (1:2.49.0+next.20250314-1) experimental; urgency=low

  * new snapshot, taken from upstream commit 12beb8f5.
  * merge branch debian-sid.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 15 Mar 2025 19:12:38 +0100

git (1:2.48.0~rc1+next.20250101-1) experimental; urgency=low

  * merge branch debian-sid.
  * new upstream release candidate (see RelNotes/2.48.0.txt).
  * new snapshot, taken from upstream commit b6b6757d.
  * debian/patches/0002-t-Makefile-make-check-meson-work-with-Dash.diff:
    new from upstream: allow running tests with shells not
    supporting <() construct.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 02 Jan 2025 16:01:59 +0100

git (1:2.45.2+next.20240614-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 447d99e1.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 16 Jun 2024 16:13:36 +0000

git (1:2.45.1+next.20240516-1) experimental; urgency=medium

  * merge branch debian-sid.

  [ Calvin Wan ]
  * new snapshot, taken from upstream commit 0e0cd299.

 -- Jonathan Nieder <jrnieder@gmail.com>  Mon, 20 May 2024 04:02:38 +0000

git (1:2.43.0+next.20240104-1) experimental; urgency=low

  * new snapshot, taken from upstream commit b435a96c.

 -- Josh Steadmon <steadmon@google.com>  Fri, 05 Jan 2024 10:07:45 -0800

git (1:2.43.0+next.20231221-1) experimental; urgency=low

  * new snapshot, taken from upstream commit 3460e3d6.

 -- Emily Shaffer <emilyshaffer@google.com>  Tue, 26 Dec 2023 07:29:41 -0800

git (1:2.43.0+next.20231215-1) experimental; urgency=low

  * new snapshot, taken from upstream commit ebba9660.

 -- Calvin Wan <calvinwan@google.com>  Sat, 16 Dec 2023 00:01:10 +0000

git (1:2.43.0+next.20231120-1) experimental; urgency=low

  * merge branch debian-sid.
  * new snapshot, taken from upstream commit 3155946c.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sun, 26 Nov 2023 18:00:52 -0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: git
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Nieder <jrnieder@gmail.com>
+Maintainer: Jonathan Nieder <jrnieder@gmail.com>
 Uploaders: Anders Kaseorg <andersk@mit.edu>
 Build-Depends: libz-dev, gettext,
  libpcre2-dev | libpcre3-dev,
  libcurl4-gnutls-dev, libexpat1-dev,
- subversion [!i386], libsvn-perl [!i386], libyaml-perl,
+ subversion, libsvn-perl, libyaml-perl,
  tcl, python3,
  libhttp-date-perl | libtime-parsedate-perl,
  libcgi-pm-perl,
@@ -22,7 +21,7 @@
 Build-Depends-Indep: asciidoc (>= 8.6.10), xmlto, docbook-xsl
 Standards-Version: 4.7.0
 Homepage: https://git-scm.com/
-Vcs-Git: https://repo.or.cz/r/git/debian.git/
+Vcs-Git: https://repo.or.cz/r/git/debian.git/ -b debian-experimental
 Vcs-Browser: https://repo.or.cz/w/git/debian.git/
 
 Package: git

## git 2.50.1

=== meson_options.txt ===
# Configuration for Git installation
option('perllibdir', type: 'string', value: '',
  description: 'Directory to install perl lib to. Defaults to <datadir>/perl5')

# Configuration for how Git behaves at runtime.
option('default_pager', type: 'string', value: 'less',
  description: 'Fall-back pager.')
option('default_editor', type: 'string', value: 'vi',
  description: 'Fall-back editor.')
option('gitconfig', type: 'string',
  description: 'Path to the global git configuration file. (default: etc/gitconfig)')
option('gitattributes', type: 'string',
  description: 'Path to the global git attributes file. (default: etc/gitattributes)')
option('pager_environment', type: 'string', value: 'LESS=FRX LV=-c',
  description: 'Environment used when spawning the pager')
option('perl_cpan_fallback', type: 'boolean', value: true,
  description: 'Install bundled copies of CPAN modules that serve as a fallback in case the modules are not available on the system.')
option('runtime_prefix', type: 'boolean', value: false,
  description: 'Resolve ancillary tooling and support files relative to the location of the runtime binary instead of hard-coding them into the binary.')
option('sane_tool_path', type: 'array', value: [],
  description: 'An array of paths to pick up tools from in case the normal tools are broken or lacking.')

# Build information compiled into Git and other parts like documentation.
option('build_date', type: 'string', value: '',
  description: 'Build date reported by our documentation.')
option('built_from_commit', type: 'string', value: '',
  description: 'Commit that Git was built from reported by git-version(1).')
option('user_agent', type: 'string', value: '',
  description: 'User agent reported to remote servers.')
option('version', type: 'string', value: '',
  description: 'Version string reported by git-version(1) and other tools.')

# Features supported by Git.
option('contrib', type: 'array', value: [ 'completion' ], choices: [ 'completion', 'contacts', 'subtree' ],
  description: 'Contributed features to include.')
option('credential_helpers', type: 'array', value: [ ], choices: [ 'libsecret', 'netrc', 'osxkeychain', 'wincred' ],
  description: 'Contributed features to include.')
option('curl', type: 'feature', value: 'enabled',
  description: 'Build helpers used to access remotes with the HTTP transport.')
option('expat', type: 'feature', value: 'enabled',
  description: 'Build helpers used to push to remotes with the HTTP transport.')
option('gettext', type: 'feature', value: 'auto',
  description: 'Build translation files.')
option('gitweb', type: 'feature', value: 'auto',
  description: 'Build Git web interface. Requires Perl.')
option('iconv', type: 'feature', value: 'auto',
  description: 'Support reencoding strings with different encodings.')
option('pcre2', type: 'feature', value: 'enabled',
  description: 'Support Perl-compatible regular expressions in e.g. git-grep(1).')
option('perl', type: 'feature', value: 'auto',
  description: 'Build tools written in Perl.')
option('python', type: 'feature', value: 'auto',
  description: 'Build tools written in Python.')
option('regex', type: 'feature', value: 'auto',
  description: 'Use the system-provided regex library instead of the bundled one.')

# Backends.
option('csprng_backend', type: 'combo', value: 'auto', choices: ['auto', 'arc4random', 'arc4random_bsd', 'getrandom', 'getentropy', 'rtlgenrandom', 'openssl', 'urandom'],
  description: 'The backend to use for generating cryptographically-secure pseudo-random numbers.')
option('https_backend', type: 'combo', value: 'auto', choices: ['auto', 'openssl', 'CommonCrypto', 'none'],
  description: 'The HTTPS backend to use when connecting to remotes.')
option('sha1_backend', type: 'combo', choices: ['openssl', 'block', 'sha1dc', 'CommonCrypto'], value: 'sha1dc',
  description: 'The backend used for hashing objects with the SHA1 object format.')
option('sha1_unsafe_backend', type: 'combo', choices: ['openssl', 'block', 'CommonCrypto', 'none'], value: 'none',
  description: 'The backend used for hashing data with the SHA1 object format in case no cryptographic security is needed.')
option('sha256_backend', type: 'combo', choices: ['openssl', 'nettle', 'gcrypt', 'block'], value: 'block',
  description: 'The backend used for hashing objects with the SHA256 object format.')
option('zlib_backend', type: 'combo', choices: ['auto', 'zlib', 'zlib-ng'], value: 'auto',
  description: 'The backend used for compressing objects and other data.')

# Build tweaks.
option('breaking_changes', type: 'boolean', value: false,
  description: 'Enable upcoming breaking changes.')
option('macos_use_homebrew_gettext', type: 'boolean', value: true,
  description: 'Use gettext from Homebrew instead of the slightly-broken system-provided one.')

# gitweb configuration.
option('gitweb_config', type: 'string', value: 'gitweb_config.perl')
option('gitweb_config_system', type: 'string', value: '/etc/gitweb.conf')
option('gitweb_config_common', type: 'string', value: '/etc/gitweb-common.conf')
option('gitweb_home_link_str', type: 'string', value: 'projects')
option('gitweb_sitename', type: 'string', value: '')
option('gitweb_projectroot', type: 'string', value: '/pub/git')
option('gitweb_project_maxdepth', type: 'string', value: '2007')
option('gitweb_export_ok', type: 'string', value: '')
option('gitweb_strict_export', type: 'string', value: '')
option('gitweb_base_url', type: 'string', value: '')
option('gitweb_list', type: 'string', value: '')
option('gitweb_hometext', type: 'string', value: 'indextext.html')
option('gitweb_css', type: 'string', value: 'static/gitweb.css')
option('gitweb_logo', type: 'string', value: 'static/git-logo.png')
option('gitweb_favicon', type: 'string', value: 'static/git-favicon.png')
option('gitweb_js', type: 'string', value: 'static/gitweb.js')
option('gitweb_site_html_head_string', type: 'string', value: '')
option('gitweb_site_header', type: 'string', value: '')
option('gitweb_site_footer', type: 'string', value: '')
option('highlight_bin', type: 'string', value: 'highlight')

# Documentation.
option('docs', type: 'array', choices: ['man', 'html'], value: [],
  description: 'Which documenattion formats to build and install.')
option('default_help_format', type: 'combo', choices: ['man', 'html', 'platform'], value: 'platform',
  description: 'Default format used when executing git-help(1).')
option('docs_backend', type: 'combo', choices: ['asciidoc', 'asciidoctor', 'auto'], value: 'auto',
  description: 'Which backend to use to generate documentation.')

# Testing.
option('benchmarks', type: 'feature', value: 'auto',
  description: 'Enable benchmarks. This requires Perl and GNU time.')
option('benchmark_repo', type: 'string', value: '',
  description: 'Repository to copy for the performance tests. Should be at least the size of the Git repository.')
option('benchmark_large_repo', type: 'string', value: '',
  description: 'Large repository to copy for the performance tests. Should be at least the size of the Linux repository.')
option('benchmark_repeat_count', type: 'integer', value: 3,
  description: 'Number of times a test should be repeated for best-of-N measurements.')
option('coccinelle', type: 'feature', value: 'auto',
  description: 'Provide a coccicheck target that generates a Coccinelle patch.')
option('tests', type: 'boolean', value: true,
  description: 'Enable building tests. This requires Perl, but is separate from the "perl" option such that you can build tests without Perl features enabled.')
option('test_output_directory', type: 'string',
  description: 'Path to the directory used to store test outputs')
option('test_utf8_locale', type: 'string',
  description: 'Name of a UTF-8 locale used for testing.')
option('fuzzers', type: 'boolean', value: false,
  description: 'Enable building fuzzers.')

=== debian/changelog ===
git (1:2.50.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - CVE-2025-27613: gitk: file creation/truncation after cloning
      untrusted repository
    - CVE-2025-27614: gitk: user can be tricked into running any
      script after cloning untrusted repository
    - CVE-2025-46835: git-gui: file creation/overwriting after
      cloning untrusted repository
    - CVE-2025-48384: script execution after cloning untrusted
      repository
    - CVE-2025-48385: protocol injection when fetching
    - Closes: #1108983

 -- Adrian Bunk <bunk@debian.org>  Tue, 29 Jul 2025 20:54:28 +0300

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Build-Depends-Indep: asciidoc (>= 8.6.10), xmlto, docbook-xsl
 Standards-Version: 4.7.0
 Homepage: https://git-scm.com/
-Vcs-Git: https://repo.or.cz/r/git/debian.git/ -b debian-experimental
+Vcs-Git: https://repo.or.cz/r/git/debian.git/
 Vcs-Browser: https://repo.or.cz/w/git/debian.git/
 
 Package: git

=== debian/rules ===
--- 
+++ 
@@ -65,20 +65,19 @@
 override_dh_auto_build-arch: build-stamp
 	$(MAKE) -C contrib/subtree all $(OPTS)
 	ln -s contrib/subtree/git-subtree
-	$(MAKE) -C contrib/diff-highlight $(OPTS)
 
 override_dh_auto_test-arch:
 	test -z '$(TEST)' || \
 	  GIT_SKIP_TESTS="t9128 t9167" \
-	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) $(TEST) $(OPTS) || true
+	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) $(TEST) $(OPTS)
 	test -z '$(TEST)' || \
 	  GIT_TEST_OPTS='$(TEST_OPTS)' \
 	  $(MAKE) -C t \
 	  t9128-git-svn-cmd-branch.sh \
 	  t9167-git-svn-cmd-branch-subproject.sh \
-	  $(OPTS) || true || :
+	  $(OPTS) || :
 	test -z '$(TEST)' || \
-	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) -C contrib/subtree $(TEST) $(OPTS) || true
+	  GIT_TEST_OPTS='$(TEST_OPTS)' $(MAKE) -C contrib/subtree $(TEST) $(OPTS)
 
 override_dh_auto_build-indep: build-stamp
 	# git-man, git-doc
